Subject: Re: ntxlib works on windows 95
From: [email-masked]

3 Jan 1998 18:24:45 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Sergey Okhapkin ([email-masked])
>[email-masked] wrote:
>> The reason I say this is that libX11 doesn't have a `main' entry point and
>> assumes, Unix-style, that the X-program calling libX11 will have a `main'.
>>
>> ntxlib, on the other hand, uses WinMain to get hInstance, without which
>> you cannot generate Windows with CreateWindow calls.  WinMain gets
>> the argc and argv parameters and passes them to a call on main().
>>
>
>WinMain() isn't neccessary for proper operation. It's easy to call
>
>hInstance = GetModuleHandle(); in ntxlib's XOpenDisplay() implementation.
>
Judging from your interest and your correspondence on the subject of
modifying xnt.h, I would say that you are volunteering to send the alpha-0.2
release of ntxlib to deninc.com.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".